﻿using System.Collections.Generic;
using System.Dynamic;

namespace Telerik.Windows.Examples.RichTextBox.SampleData
{
    public class ExamplesDataContext
    {
        private List<Employee> employees;
        public List<Employee> Employees
        {
            get
            {
                if (this.employees == null)
                {
                    this.employees = new List<Employee>()
                    {
                        new Employee()
                        {
                            FirstName = "Andrew",
                            LastName = "Fuller",
                            Address = new Address()
                            {
                                City = "Boston",
                                StreetName = "Cambridge Str.",
                            }
                        },
                        
                        new Employee()
                        {
                            FirstName = "Nancy",
                            LastName = "Davolio",
                            Address = new Address()
                            {
                                City = "Sofia",
                                StreetName = "Aleksandar Malinov Str.",
                            }
                        },                        
                    };
                }
                return employees;
            }
        }

    }
}
